Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
[Java] Class ObservableList.ObservableIterator

    java.lang.Object
      groovy.util.ObservableList.ObservableIterator

All Implemented Interfaces:
  java.util.Iterator

    protected class ObservableList.ObservableIterator

Field Summary
`protected int` | `cursor`

Constructor Summary
`ObservableList.ObservableIterator(java.util.Iterator iterDelegate)`

Method Summary
`java.util.Iterator` | `getDelegate()`
`boolean` | `hasNext()`
`java.lang.Object` | `next()`
`void` | `remove()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### cursor

    protected int cursor

Constructor Detail

### ObservableList.ObservableIterator

    public ObservableList.ObservableIterator(java.util.Iterator iterDelegate)

Method Detail

### getDelegate

    public java.util.Iterator getDelegate()

### hasNext

    public boolean hasNext()

### next

    public java.lang.Object next()

### remove

    public void remove()

Groovy Documentation